# File extensions to be ignored anywhere in the tree
*~
*.o
_kernel*
*.swp

# DefinitionFiles
Dockerfiles/*
SingularityDefinitions/*

# Explicit files to ignore
_CONTAINER_ID_LIST
_CONTAINER_IP
_CONTAINER_HOSTFILE

#Directories to ignore
build/*
.hb/*

# Merge files created by git.
*.orig
# Byte compiled python modules.
*.pyc
# vim swap files
.*.sw?
.sw?
#OS X specific files.
.DS_store
# IDE config files
*.user
*.sublime-project
*.sublime-workspace
.cproject
.project
.settings

# temporary files which can be created if a process still has a handle open of a deleted file
.fuse_hidden*

# KDE directory preferences
.directory

# Linux trash folder which might appear on any partition or disk
.Trash-*

# .nfs files are created when an open file is removed but is still being accessed
.nfs*
hpccm/.gitignore
